package cn.com.poc.knowledge.dto;

import cn.com.poc.common.domain.database.CellData;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

/**
 * @author alex.yao
 * @date 2025/5/28
 */
public class DatabaseTableDataDto {

    private List<String> column;
    private List<List<CellData>> tableDatas;
    private PagingInfo pageInfo;

    public List<String> getColumn() {
        return column;
    }

    public void setColumn(List<String> column) {
        this.column = column;
    }

    public List<List<CellData>> getTableDatas() {
        return tableDatas;
    }

    public void setTableDatas(List<List<CellData>> tableDatas) {
        this.tableDatas = tableDatas;
    }

    public PagingInfo getPageInfo() {
        return pageInfo;
    }

    public void setPageInfo(PagingInfo pageInfo) {
        this.pageInfo = pageInfo;
    }
}
